#!/usr/bin/perl -w

require 5.002;
use Socket;
use strict;
use IO::Socket;

my ($addr, $line);

$addr = shift || "/tmp/toppyd";
socket(SOCK, AF_UNIX, SOCK_STREAM, 0) || die "socket: $!";
connect(SOCK, sockaddr_un($addr)) || die "connect: $!";

SOCK->autoflush();
$| = 1;

print SOCK "HELLO\n";

while ($line = <SOCK>) {
	print $line;
	if ($line =~ /^201 /) {
		last;
	}
	if ($line =~ /^\t/) {
		next;
	}
	print "> ";
	my $cmd = <STDIN> || last;
	print SOCK $cmd;
}
print SOCK "BYE\n";
exit;
